com.smartgwt.client.types

## Enum CurrentPane

- java.lang.Object
- - java.lang.Enum<CurrentPane>
  - - com.smartgwt.client.types.CurrentPane

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<CurrentPane>

      public enum CurrentPane
      extends java.lang.Enum<CurrentPane>
      implements ValueEnum

  Possible values for the current pane showing in a `SplitPane`. See `currentPane` for details.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DETAIL` `detailPane` is the most recently shown
    `LIST` `listPane` is the most recently shown
    `NAVIGATION` `navigationPane` is the most recently shown

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static CurrentPane` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CurrentPane[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAVIGATION

          public static final CurrentPane NAVIGATION

      `navigationPane` is the most recently shown

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "navigation".

    - #### LIST

          public static final CurrentPane LIST

      `listPane` is the most recently shown

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "list".

    - #### DETAIL

          public static final CurrentPane DETAIL

      `detailPane` is the most recently shown

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "detail".

  - ### Method Detail

    - #### values

          public static CurrentPane[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CurrentPane c : CurrentPane.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CurrentPane valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`